-- MySQL Script generated by MySQL Workbench
-- jeu. 12 sept. 2019 11:24:07 CEST
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema Blog
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `Blog` ;

-- -----------------------------------------------------
-- Schema Blog
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `Blog` DEFAULT CHARACTER SET utf8 ;
USE `Blog` ;

-- -----------------------------------------------------
-- Table `Blog`.`User`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Blog`.`User` ;

CREATE TABLE IF NOT EXISTS `Blog`.`User` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(16) NOT NULL,
  `email` VARCHAR(255) NULL,
  `password` VARCHAR(32) NOT NULL,
  `create_time` DATETIME NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`));


-- -----------------------------------------------------
-- Table `Blog`.`Post`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Blog`.`Post` ;

CREATE TABLE IF NOT EXISTS `Blog`.`Post` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `date` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Titre` VARCHAR(120) NOT NULL,
  `Texte` LONGTEXT NOT NULL,
  `fk_utilisateur` INT NOT NULL,
  PRIMARY KEY (`id`, `fk_utilisateur`),
  INDEX `fk_Post_Utilisateur1_idx` (`fk_utilisateur` ASC),
  CONSTRAINT `fk_Post_Utilisateur1`
    FOREIGN KEY (`fk_utilisateur`)
    REFERENCES `Blog`.`User` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Blog`.`Comment`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Blog`.`Comment` ;

CREATE TABLE IF NOT EXISTS `Blog`.`Comment` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `Texte` TEXT(200) NOT NULL,
  `date` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fk_utilisateur` INT NOT NULL,
  `fk_post` INT NOT NULL,
  PRIMARY KEY (`id`, `fk_utilisateur`, `fk_post`),
  INDEX `fk_Comment_Post1_idx` (`fk_post` ASC),
  INDEX `fk_Comment_Utilisateur1_idx` (`fk_utilisateur` ASC),
  CONSTRAINT `fk_Comment_Post1`
    FOREIGN KEY (`fk_post`)
    REFERENCES `Blog`.`Post` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Comment_Utilisateur1`
    FOREIGN KEY (`fk_utilisateur`)
    REFERENCES `Blog`.`User` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
